using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PhoenixDLL.Class.Managers;
using Utils.DataBase;
using PhoenixDLL.Class;
using System.Data.OleDb;

namespace PhoenixPrescription.GUI
{
    /// <summary>
    /// Visionneuse des prescriptions d'un patient
    /// </summary>
    public partial class fr_HistoriquePatient : Form
    {
        #region Variables
        /// <summary>
        /// Informations sur un patient
        /// </summary>
        private PatientManager vPatientManager = new PatientManager();

        /// <summary>
        /// Manager de Sql
        /// </summary>
        private OleDbSql SqlManager = new OleDbSql(Options.Instance.Path);
        #endregion

        #region Constructeur
        /// <summary>
        /// Constructeur
        /// </summary>
        public fr_HistoriquePatient()
        {
            InitializeComponent();
        }
        #endregion

        #region Accesseur
        /// <summary>
        /// Retourne ou initialise la patient sur lequel on recherche l'historique
        /// </summary>
        public PatientManager PatientManager
        {
            get { return vPatientManager; }
            set
            {
                vPatientManager = value;
                SqlManager.PrepareProcedure("SELECT_PrescriptionOnPatient");
                SqlManager.Parameters.Add("[_ID]", OleDbType.Integer).Value = vPatientManager.IDPatient;
                DataSet ds = new DataSet();
                SqlManager.ExecuteSqlProcedure(ref ds);
                dgv_History.DataSource = ds.Tables[0];

                for (int i = 0; i < dgv_History.Columns.Count; i++)
                    dgv_History.Columns[i].Visible = false;

                dgv_History.Columns["Nom"].Visible = true;
                dgv_History.Columns["Nom"].HeaderText = "Mdicament";
                dgv_History.Columns["Nom"].DisplayIndex = 0;

                dgv_History.Columns["p.Rmq"].Visible = true;
                dgv_History.Columns["p.Rmq"].HeaderText = "Remarques";
                dgv_History.Columns["p.Rmq"].DisplayIndex = 1;

                dgv_History.Columns["Date_P"].Visible = true;
                dgv_History.Columns["Date_P"].HeaderText = "Date de prescription";
                dgv_History.Columns["Date_P"].DisplayIndex = 2;


            }
        }
        #endregion
        }
}